#-----------------------------------------------
# Software Synthesis: Sound Design and Programming 
# Eduardo Reck Miranda - Focal Press
#-----------------------------------------------
# Example 3: sustained phonation
#-----------------------------------------------
Create Speaker... Robovox Female 2
Create Artword... phon 13.0
#-----------------------------------------------
# Supply lung energy
#-----------------------------------------------
Set target... 0.00    0.1  Lungs
Set target... 0.01    0.0  Lungs
Set target... 13.0    0.0  Lungs
#-----------------------------------------------
# Control glottis
#-----------------------------------------------
# Glottal closure
Set target... 0.0     0.5  Interarytenoid
Set target... 13.0   0.5  Interarytenoid
#
# Adduct vocal folds
Set target... 0.0    0.0  Cricothyroid
Set target... 13.0  0.0  Cricothyroid
#-----------------------------------------------
# Close velopharyngeal port
#-----------------------------------------------
Set target... 0.0    1.0  LevatorPalatini
Set target... 13.0  1.0  LevatorPalatini
#-----------------------------------------------
# Shape mouth to open vowel
#-----------------------------------------------
# Lower the jaw
Set target... 0.0    -0.4  Masseter
Set target... 13.0  -0.4  Masseter
#
# Pull tongue backwards
Set target... 0.0     0.4  Hyoglossus
Set target... 13.0   0.4  Hyoglossus
#-----------------------------------------------
# Synthesise
#-----------------------------------------------
select Artword phon
plus Speaker Robovox
To Sound... 22050 25   0 0 0   0 0 0   0 0 0
#-----------------------------------------------

