#-----------------------------------------------
# Software Synthesis: Sound Design and Programming 
# Eduardo Reck Miranda - Focal Press
#-----------------------------------------------
# Example 2: varying lung pressure
#-----------------------------------------------
Create Speaker... Robovox Female 2
Create Artword... phon 0.5
#-----------------------------------------------
# Supply lung energy
#-----------------------------------------------
Set target... 0.0        1.5 Lungs
Set target... 0.4     -0.5 Lungs
Set target... 0.5     -0.5 Lungs
#-----------------------------------------------
# Control glottis
#-----------------------------------------------
# Glottal closure
Set target... 0.0  0.5  Interarytenoid
Set target... 0.5  0.5  Interarytenoid
#
# Adduct vocal folds
Set target... 0.0  1.0  Cricothyroid
Set target... 0.5  1.0  Cricothyroid
#-----------------------------------------------
# Close velopharyngeal port
#-----------------------------------------------
Set target... 0.0  1.0  LevatorPalatini
Set target... 0.5  1.0  LevatorPalatini
#-----------------------------------------------
# Shape mouth to open vowel
#-----------------------------------------------
# Lower the jaw
Set target... 0.0  -0.4  Masseter
Set target... 0.5  -0.4  Masseter
#
# Pull tongue backwards
Set target... 0.0   0.4  Hyoglossus
Set target... 0.5   0.4  Hyoglossus
#-----------------------------------------------
# Synthesise
#-----------------------------------------------
select Artword phon
plus Speaker Robovox
To Sound... 22050 25   0 0 0    0 0 0    0 0 0
#-----------------------------------------------

