#-----------------------------------------------
# Software Synthesis: Sound Design and Programming 
# Eduardo Reck Miranda - Focal Press
#-----------------------------------------------
# Example 5: vowel-consonant-vowel
#-----------------------------------------------
Create Speaker... Robovox Female 2
Create Artword... phon 0.5
#-----------------------------------------------
# Supply lung energy
#-----------------------------------------------
Set target... 0.00  0.1    Lungs
Set target... 0.02  0.0    Lungs
Set target... 0.5    0.0     Lungs
#-----------------------------------------------
# Control glottis
#-----------------------------------------------
# Glottal closure
Set target... 0.0    0.5     Interarytenoid
Set target... 0.5    0.5     Interarytenoid
#
# Adduct vocal folds
Set target... 0.0    1.0   Cricothyroid
Set target... 0.5    1.0   Cricothyroid
#-----------------------------------------------
# Close velopharyngeal port
#-----------------------------------------------
Set target... 0.0  1.0  LevatorPalatini
Set target... 0.5  1.0  LevatorPalatini
#-----------------------------------------------
# Shape mouth to open vowel
#-----------------------------------------------
# Pull tongue backwards
Set target... 0.0   0.4    Hyoglossus
Set target... 0.5   0.4    Hyoglossus
#-----------------------------------------------
# Mouth control
#-----------------------------------------------
# Lips rounding
Set target... 0.0   0.0  OrbicularisOris
Set target... 0.1   0.0  OrbicularisOris
Set target... 0.2   1.0  OrbicularisOris
Set target... 0.3   1.0  OrbicularisOris
Set target... 0.4   0.0  OrbicularisOris
Set target... 0.5   0.0  OrbicularisOris
#
# Jaw opening
Set target... 0.0   -0.4  Masseter
Set target... 0.0   -0.4  Masseter
Set target... 0.2     0.5  Masseter
Set target... 0.3     0.5  Masseter
Set target... 0.4   -0.4  Masseter
Set target... 0.5   -0.4  Masseter

#-----------------------------------------------
# Synthesise
#-----------------------------------------------
select Artword phon
plus Speaker Robovox
To Sound... 22050 25   0 0 0   0 0 0   0 0 0
#-----------------------------------------------


